## tundeep 1.1~git20190802

=== Makefile ===
#Makefile for tundeep
#To disable Linux specific features i.e. tun/tap (not recommended), remove '-D_LINUX'
#To disable zlib compression support, remote '-D_COMPRESS -lz'

CC=gcc
MY_MACH := $(shell gcc -dumpmachine)
ifneq (, $(findstring cygwin, $(MY_MACH)))
	MY_OS := Cygwin
else
	MY_OS := Linux
endif

ifeq ($(MY_OS), Cygwin)
	#Cygwin
	CFLAGS=-s -I -O3 -Wall -W -D_COMPRESS -lz -lpthread -lwpcap
else
	#Linux
	CFLAGS=-s -I -O3 -Wall -W -D_LINUX -D_COMPRESS -lz -lpthread -lpcap
endif

tundeep: main.o pcap.o threads.o recv.o misc.o sock.o tap.o
	@echo "Building for: $(MY_OS) ($(MY_MACH))"
	$(CC) -o tundeep main.o pcap.o threads.o recv.o misc.o sock.o tap.o $(CFLAGS)
clean:
	rm -f *.o tundeep tundeep.exe

=== debian/changelog ===
tundeep (1.1~git20190802-0kali2) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Set upstream metadata fields: Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.
  * Set upstream metadata fields: Repository.
  [ Ben Wilson ]
  * Update email address
  * Remove template comment and switch spaces to tabs
  [ Steev Klimaszewski ]
  * Add d/watch file
  * Prepare for Release

 -- Steev Klimaszewski <steev@kali.org>  Tue, 13 Dec 2022 21:28:26 -0600

tundeep (1.1~git20190802-0kali1) kali-dev; urgency=medium

  [ Sophie Brun ]
  * Fix details in debian/*
  * Update packaging
  * New upstream version 1.1~git20190802

  [ Raphaël Hertzog ]
  * Update Maintainer field
  * Update Vcs-* fields for the move to gitlab.com
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Update URL in GitLab's CI configuration file

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 30 Jul 2020 11:47:07 +0200

tundeep (1.0-1kali2) kali-dev; urgency=medium

  * Fix dependency: libpcap doesn't exist and the required dependency is
    automatically added by dh_shlibdeps

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 15 Sep 2017 09:29:41 +0200

tundeep (1.0-1kali1) kali-dev; urgency=medium

  * Initial release

 -- Mati Aharoni <muts@kali.org>  Thu, 24 Aug 2017 11:22:59 -0400

=== debian/control ===
Source: tundeep
Section: net
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>
Build-Depends: debhelper-compat (= 12),zlib1g-dev, libpcap-dev
Standards-Version: 4.6.1
Homepage: https://www.adampalmer.me/iodigitalsec/tundeep/
Vcs-Git: https://gitlab.com/kalilinux/packages/tundeep.git
Vcs-Browser: https://gitlab.com/kalilinux/packages/tundeep

Package: tundeep
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Layer 2 VPN/injection tool
 The tool resides [almost] entirely in user space on the victim aside from the
 pcap requirement.

=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_install:

=== debian/watch ===
version=4

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/tundeep-$1\.tar\.gz/ \
  https://github.com/adam-palmer1/tundeep/tags .*/v?(\d\S*)\.tar\.gz
